Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_dons_achats.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_dons_achats.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_dons_achats.php	(revision 1)
@@ -0,0 +1,28 @@
+<?php
+
+  function e_set_dons_achats($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { if(($env->out["config"] = $env->CONFIG) !== false)
+      { if($_POST)
+        { $OK = true;
+          foreach($_POST as $key => $value)
+          { if($OK)
+            { $OK = $env->data->set_config($key, $value);
+            }
+          }
+          if($OK)
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_dons_achats")),
+              "La configuration &agrave; &eacute;t&eacute; mise &agrave; jour"
+            );
+          }
+          else $env->erreur = "Erreur lors de la mise &agrave; jour de la configuration en base";
+        }
+      }
+      else $env->erreur = "Impossible de lire la configuration en base";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_editos.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_editos.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_editos.php	(revision 1)
@@ -0,0 +1,104 @@
+<?php
+
+  function e_set_editos($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "editos";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_editos($env)
+  { if(($env->out["editos"] = $env->data->editos($env->start)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les &eacute;ditos";
+  }
+
+  function a_add_edito($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "titre" => $_POST["titre"],
+          "contenu" =>  $_POST["edito"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->add_edito
+          ( $_POST["titre"],
+            $_POST["edito"],
+            $env->pun_user["id"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_editos")),
+            "L'&eacute;dito a &eacute;t&eacute; ajout&eacute;"
+          );
+        }
+        else $env->erreur = "Impossible d'ajouter l'&eacute;dito.";
+      }
+    }
+  }
+
+  function a_set_edito($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "titre" => $_POST["titre"],
+          "contenu" =>  $_POST["edito"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->set_edito
+          ( $_GET[$env->param("edito")],
+            $_POST["titre"],
+            $_POST["edito"],
+            $env->pun_user["id"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_editos")),
+            "L'&eacute;dito a &eacute;t&eacute; modifi&eacute;"
+          );
+        }
+        else $env->erreur = "Impossible de modifier l'&eacute;dito.";
+      }
+    }
+    else
+    { if(($env->out["edito"] = $env->data->edito($_GET[$env->param("edito")])) === false)
+      { $env->erreur = "Impossible de lire l'&eacute;dito.";
+      }
+    }
+  }
+
+  function a_del_edito($env)
+  { if($env->data->del_edito($_GET[$env->param("edito")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_editos")),
+        "L'&eacute;dito a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer l'&eacute;dito.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_links.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_links.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_links.php	(revision 1)
@@ -0,0 +1,123 @@
+<?php
+
+  function e_set_links($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->path = array("root", "links");
+      $env->out["ariane"] = array();
+      if($_GET[$env->param("path")])
+      { $v_path = explode("/", $_GET[$env->param("path")]);
+        foreach($v_path as $_path) if($_path)
+        { $env->path[] = (int)$_path;
+          $env->out["ariane"][$_path] = $env->data->links_categorie($_path);
+        }
+      }
+      if(($env->out["current_categorie"] = $env->data->id_categorie($env->path)) !== false)
+      { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "links";
+        $function = "a_".$env->a;
+        if(function_exists($function)) $function($env);
+      }
+      else $env->erreur = "Impossible de lire le lien courant";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_links($env)
+  { if(($env->out["link"] = $env->data->links_categorie($env->out["current_categorie"])) !== false)
+    { if(($env->out["links_categories"] = $env->data->links_categories($env->path)) !== false)
+      { if($_POST)
+        { $OK = true;
+          foreach($_POST as $key => $value)
+          { if
+            ( (substr($key, 0, 6) == "ordre_") &&
+              ($id_menu = substr($key, 6)) &&
+              $env->out["links_categories"]["list"][$id_menu]
+            )
+            { $OK = $env->data->set_links_categorie
+              ( $id_menu,
+                $env->out["links_categories"]["list"][$id_menu]["nom"],
+                $env->out["links_categories"]["list"][$id_menu]["titre"],
+                $env->out["links_categories"]["list"][$id_menu]["description"],
+                $env->out["links_categories"]["list"][$id_menu]["contenu"],
+                $value
+              );
+            }
+            if(!$OK) break;
+          }
+          if($OK)
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_links", "path" => $_GET[$env->param("path")])),
+              "L'ordre des liens a &eacute;t&eacute; enregistr&eacute;"
+            );
+          }
+          else $env->erreur = "Impossible d'enregistrer l'ordre des liens";
+        }
+      }
+      else $env->erreur = "Impossible de lire les liens";
+    }
+    else $env->erreur = "Impossible de lire le lien courant";
+  }
+
+  function a_add_links_categorie($env)
+  { if($_POST)
+    { if
+      ( $env->data->add_links_categorie
+        ( $_POST["nom"],
+          $_POST["titre"],
+          $_POST["description"],
+          $_POST["url"],
+          $env->out["current_categorie"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_links", "path" => $_GET[$env->param("path")])),
+          "Le lien a &eacute;t&eacute; ajout&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'ajouter le lien";
+    }
+  }
+
+  function a_set_links_categorie($env)
+  { if($_POST)
+    { if
+      ( $env->data->set_links_categorie
+        ( $_GET[$env->param("id")],
+          $_POST["nom"],
+          $_POST["titre"],
+          $_POST["description"],
+          $_POST["url"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_links", "path" => $_GET[$env->param("path")])),
+          "Le lien a &eacute;t&eacute; enregistr&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'enregistrer le lien.";
+    }
+    else
+    { if(($env->out["links_categorie"] = $env->data->links_categorie($_GET[$env->param("id")])) === false)
+      { $env->erreur = "Impossible de lire le lien.";
+      }
+    }
+  }
+
+  function a_del_links_categorie($env)
+  { if($env->data->del_links_categorie($_GET[$env->param("id")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_links", "path" => $_GET[$env->param("path")])),
+        "Le lien a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer le lien.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_map.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_map.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_map.php	(revision 1)
@@ -0,0 +1,128 @@
+<?php
+
+  function e_set_map($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "map_config";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_map_config($env)
+  { if(($env->out["emplacement_types"] = $env->data->map_emplacement_types()) !== false)
+    { if(($env->out["config"] = $env->CONFIG) !== false)
+      { if($_POST)
+        { if($env->data->set_config("google_key", $_POST["google_key"]))
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_map")),
+              "La clef Google a &eacute;&eacute; enregistr&eacute;e"
+            );
+          }
+        }
+      }
+      else $env->erreur = "Impossible de lire la configuration en base";
+    }
+    else $env->erreur = "Impossible de lire la liste des types d'emplacement";
+  }
+
+  function a_add_emplacement_type($env)
+  { if($_POST)
+    { $icone = null;
+      if($_FILES["icone"])
+      { switch($_FILES["icone"]["error"])
+        { case UPLOAD_ERR_NO_FILE :
+            $env->message = "Vous devez pr&eacute;ciser une icone pour le nouvel emplacement.";
+            break;
+          case UPLOAD_ERR_OK :
+            $icone = $env->path("uploads")."map/".$_FILES["icone"]["name"];
+            if
+            ( @move_uploaded_file
+              ( $_FILES["icone"]["tmp_name"],
+                $icone                  
+              ) !== false
+            ) break;
+          default : $env->erreur = "Impossible d'uploader l'icone.";
+        }
+        if(!$env->erreur && !$env->message)
+        { if
+          ( $env->data->add_map_emplacement_type
+            ( $_POST["intitule"],
+              $_POST["descriptif"],
+              $icone
+            )
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_map")),
+              "Le type d'emplacement a &eacute;t&eacute; ajout&eacute;"
+            );
+          }
+          else $env->erreur = "Impossible d'ajouter la cat&eacute;gorie.";
+        }
+      }
+      else $env->message = "Vous devez pr&eacute;ciser une icone pour le nouvel emplacement.";
+    }
+  }
+
+  function a_set_emplacement_type($env)
+  { if(($env->out["emplacement_type"] = $env->data->map_emplacement_type($_GET[$env->param("id")])) !== false)
+    { if($_POST)
+      { $icone = null;
+        if($_FILES["icone"])
+        { switch($_FILES["icone"]["error"])
+          { case UPLOAD_ERR_NO_FILE : break;
+            case UPLOAD_ERR_OK :
+              $icone = $env->path("uploads")."map/".$_FILES["icone"]["name"];
+              if
+              ( $env->data->del_map_emplacement_type_icone($env->out["emplacement_type"]["icone"])
+                &&
+                move_uploaded_file
+                ( $_FILES["icone"]["tmp_name"],
+                  $icone
+                ) !== false
+              ) break;
+              else $env->erreur = "Impossible d'uploader l'icone.";
+            default : $env->erreur = "Impossible d'uploader l'icone.";
+          }
+        }
+        if(!$env->erreur)
+        { if
+          ( $env->data->set_map_emplacement_type
+            ( $_GET[$env->param("id")],
+              $_POST["intitule"],
+              $_POST["descriptif"],
+              $icone
+            )
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_map")),
+              "Le type d'emplacement a &eacute;t&eacute; modifi&eacute;"
+            );
+          }
+          else $env->erreur = "Impossible de modifier le type d'emplacement.";
+        }
+      }
+    }
+    else $env->erreur = "Impossible de lire les informations pour ce type d'emplacement";
+  }
+
+  function a_del_emplacement_type($env)
+  { if($env->data->del_map_emplacement_type($_GET[$env->param("id")]))
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_map")),
+        "le type d'emplacement a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer le type d'emplacement";
+  }
+
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_menus.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_menus.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_menus.php	(revision 1)
@@ -0,0 +1,117 @@
+<?php
+
+  function e_set_menus($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->path = array("root", "menus");
+      $env->out["ariane"] = array();
+      if($_GET[$env->param("path")])
+      { $v_path = explode("/", $_GET[$env->param("path")]);
+        foreach($v_path as $_path) if($_path)
+        { $env->path[] = (int)$_path;
+          $env->out["ariane"][$_path] = $env->data->menus_categorie($_path);
+        }
+      }
+      if(($env->out["current_categorie"] = $env->data->id_categorie($env->path)) !== false)
+      { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "menus";
+        $function = "a_".$env->a;
+        if(function_exists($function)) $function($env);
+      }
+      else $env->erreur = "Impossible de lire le menu courant";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_menus($env)
+  { if(($env->out["menu"] = $env->data->menus_categorie($env->out["current_categorie"])) !== false)
+    { if(($env->out["menus_categories"] = $env->data->menus_categories($env->path)) !== false)
+      { if($_POST)
+        { $OK = true;
+          foreach($_POST as $key => $value)
+          { if
+            ( (substr($key, 0, 6) == "ordre_") &&
+              ($id_menu = substr($key, 6)) &&
+              $env->out["menus_categories"]["list"][$id_menu]
+            )
+            { $OK = $env->data->set_menus_categorie
+              ( $id_menu,
+                $env->out["menus_categories"]["list"][$id_menu]["titre"],
+                $env->out["menus_categories"]["list"][$id_menu]["contenu"],
+                $value
+              );
+            }
+            if(!$OK) break;
+          }
+          if($OK)
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_menus", "path" => $_GET[$env->param("path")])),
+              "L'ordre des menus a &eacute;t&eacute; enregistr&eacute;"
+            );
+          }
+          else $env->erreur = "Impossible d'enregistrer l'ordre des menus";
+        }
+      }
+      else $env->erreur = "Impossible de lire les menus";
+    }
+    else $env->erreur = "Impossible de lire le menu courant";
+  }
+
+  function a_add_menus_categorie($env)
+  { if($_POST)
+    { if
+      ( $env->data->add_menus_categorie
+        ( $_POST["titre"],
+          $_POST["url"],
+          $env->out["current_categorie"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_menus", "path" => $_GET[$env->param("path")])),
+          "Le menu a &eacute;t&eacute; ajout&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'ajouter le menu";
+    }
+  }
+
+  function a_set_menus_categorie($env)
+  { if($_POST)
+    { if
+      ( $env->data->set_menus_categorie
+        ( $_GET[$env->param("menus_categorie")],
+          $_POST["titre"],
+          $_POST["url"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_menus", "path" => $_GET[$env->param("path")])),
+          "Le menu a &eacute;t&eacute; enregistr&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'enregistrer le menu.";
+    }
+    else
+    { if(($env->out["menus_categorie"] = $env->data->menus_categorie($_GET[$env->param("menus_categorie")])) === false)
+      { $env->erreur = "Impossible de lire le menu.";
+      }
+    }
+  }
+
+  function a_del_menus_categorie($env)
+  { if($env->data->del_menus_categorie($_GET[$env->param("menus_categorie")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_menus", "path" => $_GET[$env->param("path")])),
+        "Le menu a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer le menus.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_news.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_news.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_news.php	(revision 1)
@@ -0,0 +1,128 @@
+<?php
+
+  function e_set_news($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { if(($env->out["news_root_categorie"] = $env->data->id_categorie(array("root", "news"))) !== false)
+      { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "news";
+        $function = "a_".$env->a;
+        if(function_exists($function))
+        { $catgories_function = "all_news_categories";
+          if($env->a === "del_news") $catgories_function = "news_categories";
+          $r = false;
+          eval("\$r = \$env->data->".$catgories_function."();");
+          if(($env->out["categories"] = $r) !== false)
+          { $function($env);
+          }
+          else $env->erreur = "Impossible de lire la liste des categories de news";
+        }
+      }
+      else $env->erreur = "Impossible de trouver la categorie racine des news.";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_news($env)
+  { $path = array("root", "news");
+    $depth = 1;
+    if(isset($_GET[$env->param("categorie")]))
+    { if(strlen($_GET[$env->param("categorie")]) > 0) $path[] = (int)$_GET[$env->param("categorie")];
+      $depth = 0;
+    }
+    if(($env->out["news"] = $env->data->news($path, $env->start, $depth)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les news";
+  }
+
+  function a_add_news($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "categorie" => $_POST["categorie"],
+          "categorie_titre" => $env->out["categories"]["list"][$_POST["categorie"]]["titre"],
+          "categorie_icone" => $env->out["categories"]["list"][$_POST["categorie"]]["icone"],
+          "titre" => $_POST["titre"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "contenu" => $_POST["news"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->add_news
+          ( $_POST["categorie"],
+            $_POST["titre"],
+            $_POST["news"],
+            $env->pun_user["id"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_news")),
+            "La news a &eacute;t&eacute; ajout&eacute;e"
+          );
+        }
+        else $env->erreur = "Impossible d'ajouter la news.";
+      }
+    }
+  }
+
+  function a_set_one_news($env)
+  { if(($env->out["news"] = $env->data->contenu($_GET[$env->param("news")])) !== false)
+    { if($_POST)
+      { if($_POST["preview"])
+        { $env->out["preview"] = array
+          ( "categorie" => $_POST["categorie"],
+            "categorie_titre" => $env->out["categories"]["list"][$_POST["categorie"]]["titre"],
+            "categorie_icone" => $env->out["categories"]["list"][$_POST["categorie"]]["icone"],
+            "titre" => $_POST["titre"],
+            "auteur" => $env->out["news"]["auteur"],
+            "date_publication" => $_POST["date_publication"],
+            "contenu" => $_POST["news"],
+            "public" => $_POST["public"] ? 1 : 0
+          );
+        }
+        else
+        { if
+          ( $env->data->set_news
+            ( $_GET[$env->param("news")],
+              $_POST["categorie"],
+              $_POST["titre"],
+              $_POST["news"],
+              $env->pun_user["id"],
+              $_POST["date_publication"],
+              $_POST["public"] ? 1 : 0
+            )
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_news")),
+              "La news a &eacute;t&eacute; modifi&eacute;e"
+            );
+          }
+          else $env->erreur = "Impossible de modifier la news.";
+        }
+      }
+    }
+    else $env->erreur = "Impossible de lire la news.";
+  }
+
+  function a_del_news($env)
+  { if($env->data->del_news($_GET[$env->param("news")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_news")),
+        "La news a &eacute;t&eacute; supprim&eacute;e"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer la news.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_news_categories.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_news_categories.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_news_categories.php	(revision 1)
@@ -0,0 +1,116 @@
+<?php
+
+  function e_set_news_categories($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { if(($env->out["news_root_categorie"] = $env->data->id_categorie(array("root", "news"))) !== false)
+      { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "news_categories";
+        $function = "a_".$env->a;
+        if(function_exists($function)) $function($env);
+      }
+      else $env->erreur = "Impossible de trouver la categorie racine des news.";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_news_categories($env)
+  { if(($env->out["news_categories"] = $env->data->news_categories($env->start)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les cat&eacute;gories";
+  }
+
+  function a_add_news_categorie($env)
+  { if($_POST)
+    { $icone = null;
+      if($_FILES["icone"])
+      { switch($_FILES["icone"]["error"])
+        { case UPLOAD_ERR_NO_FILE : break;
+          case UPLOAD_ERR_OK :
+            $icone = $env->path("uploads")."categories/".$_FILES["icone"]["name"];
+            if
+            ( @move_uploaded_file
+              ( $_FILES["icone"]["tmp_name"],
+                $icone                  
+              ) !== false
+            ) break;
+          default : $env->erreur = "Impossible d'uploader l'icone.";
+        }
+      }
+      if(!$env->erreur)
+      { if
+        ( $env->data->add_news_categorie
+          ( $_POST["titre"],
+            $icone,
+            $_POST["description"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_news_categories")),
+            "La cat&eacute;gorie a &eacute;t&eacute; ajout&eacute;e"
+          );
+        }
+        else $env->erreur = "Impossible d'ajouter la cat&eacute;gorie.";
+      }
+    }
+  }
+
+  function a_set_news_categorie($env)
+  { if(($env->out["news_categorie"] = $env->data->news_categorie($_GET[$env->param("categorie")])) !== false)
+    { if($_POST)
+      { $icone = null;
+        if(!$_POST["del_icone"] && $_FILES["icone"])
+        { switch($_FILES["icone"]["error"])
+          { case UPLOAD_ERR_NO_FILE : break;
+            case UPLOAD_ERR_OK :
+              $icone = $env->path("uploads")."categories/".$_FILES["icone"]["name"];
+              if
+              ( move_uploaded_file
+                ( $_FILES["icone"]["tmp_name"],
+                  $icone                  
+                ) !== false
+                &&
+                $env->data->del_news_categorie_icone($env->out["news_categorie"]["icone"])
+              ) break;
+            default : $env->erreur = "Impossible d'uploader l'icone.";
+          }
+        }
+        if(!$env->erreur)
+        { if($_POST["del_icone"] && !$env->data->del_news_categorie_icone($env->out["news_categorie"]["icone"])) return false;
+          if
+          ( $env->data->set_news_categorie
+            ( $_GET[$env->param("categorie")],
+              $_POST["titre"],
+              $_POST["del_icone"] ? null : (isset($icone) ? $icone : $env->out["news_categorie"]["icone"]),
+              $_POST["description"]
+            )
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_news_categories")),
+              "La cat&eacute;gorie a &eacute;t&eacute; modifi&eacute;e"
+            );
+          }
+          else $env->erreur = "Impossible de modifier la cat&eacute;gorie.";
+        }
+      }
+    }
+    else $env->erreur = "Impossible de lire la cat&eacute;gorie.";
+  }
+
+  function a_del_news_categorie($env)
+  { if($env->data->del_news_categorie($_GET[$env->param("categorie")], $env->out["news_root_categorie"]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_news_categories")),
+        "La cat&eacute;gorie a &eacute;t&eacute; supprim&eacute;e"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer la cat&eacute;gorie.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_pages.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_pages.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_pages.php	(revision 1)
@@ -0,0 +1,80 @@
+<?php
+
+  function e_set_pages($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "pages";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_pages($env)
+  { if(($env->out["pages"] = $env->data->pages($env->start)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les pages";
+  }
+
+  function a_add_page($env)
+  { if($_POST)
+    { if
+      ( $env->data->add_page
+        ( $_POST["titre"],
+          $_POST["fichier"],
+          $_POST["contenu"],
+          $_POST["public"] ? 1 : 0,
+          $env->pun_user["id"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_pages")),
+          "La page a &eacute;t&eacute; ajout&eacute;e"
+        );
+      }
+      else $env->erreur = "Impossible d'ajouter la page.";
+    }
+  }
+
+  function a_set_page($env)
+  { if(($env->out["page"] = $env->data->page($_GET[$env->param("id")])) !== false)
+    { if($_POST)
+      { if
+        ( $env->data->set_page
+          ( $_GET[$env->param("id")],
+            $_POST["titre"],
+            $_POST["fichier"],
+            $_POST["contenu"],
+            $_POST["public"] ? 1 : 0,
+            $env->pun_user["id"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_pages")),
+            "La page a &eacute;t&eacute; modifi&eacute;e"
+          );
+        }
+        else $env->erreur = "Impossible de modifier la page.";
+      }
+    }
+    else $env->erreur = "Impossible de lire la page.";
+  }
+
+  function a_del_page($env)
+  { if($env->data->del_page($_GET[$env->param("id")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_pages")),
+        "La page a &eacute;t&eacute; supprim&eacute;e"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer la page.";
+  }
+
+?>
